Chinaunix首页 | 论坛 | 博客
  • 博客访问: 2530414
  • 博文数量: 259
  • 博客积分: 9440
  • 博客等级: 少将
  • 技术积分: 6998
  • 用 户 组: 普通用户
  • 注册时间: 2009-05-03 10:28
  • 认证徽章:
个人简介

-- linux爱好者,业余时间热衷于分析linux内核源码 -- 目前主要研究云计算和虚拟化相关的技术,主要包括libvirt/qemu,openstack,opennebula架构和源码分析。 -- 第五届云计算大会演讲嘉宾 微博:@Marshal-Liu

文章分类

全部博文(259)

文章存档

2016年(1)

2015年(4)

2014年(16)

2013年(23)

2012年(41)

2011年(59)

2010年(40)

2009年(75)

分类: LINUX

2012-12-10 15:37:23

1. 现在libvirt-1.0源码

2. 安装依赖软件包

  1. sudo apt-get install libgnutls-dev libyajl-dev libdevmapper-dev libnl-dev
3. 执行configure,make install

4. 执行make install 的时候会报错

  1. /bin/mkdir: cannot create directory `/usr/local/share/man/man1': File exists
  2. make[3]: *** [install-man1] Error 1
这是libvirt的Makefile有问题,如果 /usr/local/share/man/man1目录存在就报错退出,解决方法为,去./tools/Makefile文件,将man1dir设置为空,即 mandir=


阅读(3309) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~
评论热议
请登录后评论。

登录 注册